Skip to Content

Health

4 endpoints

POST /api/v5/artifacts/health/get

Get Health

Get health artifact data.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ service?: `string` | `null` date_from?: `string` | `null` date_to?: `string` | `null` page_limit?: `integer` page_offset?: `integer` }

Response:

{ views?: `HealthViews` total_count?: `integer` analytics?: `AnalyticsFacets` | `null` }

POST /api/v5/artifacts/health/refresh

Health Refresh

Refresh health materialized views and invalidate caches.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ success: `boolean` refreshed_views: `string`[] invalidated_tags: `string`[] }

POST /api/v5/artifacts/health/export

Export Health

Export all health data as a clean, denormalized ZIP.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ upload_id: `string` file_name: `string` row_count: `integer` }

POST /api/v5/artifacts/health/docs

Get Health Docs Endpoint

Get composed documentation for the health analytics.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ entity_id?: `string` | `null` }

Response:

{ name: `string` type: `string` description: `string` artifact?: `DocsResponse` | `null` entries: `DocsResponse`[] resources: `DocsResponse`[] permissions: `OperationInfo`[] api_operations: `OperationInfo`[] page_metadata?: `DocsApiResponse` | `null` }

Last updated on